<?php
/**
 * Child Theme Functions
 *
 * For more information on hooks, actions, and filters, @link https://codex.wordpress.org/Plugin_API
 *
 * @since Orin Child 1.0
 */

/**
 * Enqueue styles
 *
 * @since Orin Child 1.0
 */
function orin_child_enqueue_styles() {

	// Get Parent Theme version (Orin)
	$parent_version = wp_get_theme( 'orin' )->get( 'Version' );

	// Get Child Theme version (Orin Child)
	$child_version = wp_get_theme()->get( 'Version' );

	/**
	 * Add main style.css file from Parent Theme (Orin)
	 */

	// parent theme: style.css id
	$parent_style = 'orin-style';

	// dependencies
	$parent_style_dependencies_array = array(
		'orin-fonts',
		'bootstrap',
		'bootstrap-theme',
		'orin-ie10-viewport-bug-workaround',
		'font-awesome',
		'tiny-slider',
		'magnific-popup',
	);

	// add main style.css file from Parent Theme (Orin)
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css', $parent_style_dependencies_array, $parent_version );

	/**
	 * Add style.css file for this Child Theme (Orin Child)
	 */

	wp_enqueue_style( 'orin-child-style', get_stylesheet_directory_uri() . '/style.css', array( $parent_style ), $child_version );

}
add_action( 'wp_enqueue_scripts', 'orin_child_enqueue_styles' );


/**
 * --- You can add your php code below... ---
 */
